Bug 80293 - Applying Garden of Eden Design Pattern makes schema invalid
Applying Garden of Eden Design Pattern makes schema invalid
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Tools
5.x
PC Windows XP
: P1 (vote)
: TBD
Assigned To: Ayub Khan
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 12:53 UTC by Andrei Chistiakov
Modified: 2006-07-19 13:32 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Chistiakov 2006-07-14 12:53:02 UTC
Reproduced in build 060712.

To reproduce the bug:

- open LoanApplication schema;
- switch to source view;
- invoke 'Apply Design Pattern...';
- set pattern type to Garden of Eden (only 'Create Reusable Types' checked);
- press Finish;
- validate the schema. It results in:
XML validation started.

sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,areaCode'. [294] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,exchange'. [295] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,number'. [296] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,extension'. [297] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,state'. [326] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,name'. [387] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,address'. [388] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,address1'. [389] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,address2'. [390] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,city'. [391] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,state'. [392] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,zip'. [393] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,years'. [408] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,months'. [409] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,areaCode'. [419] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,exchange'. [420] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,number'. [421] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,extension'. [422] 
sch-props-correct.2: A schema cannot contain two global components with the same
name; this schema contains two occurrences of
'http://xml.netbeans.org/examples/LoanApplication,grossMonthlyIncome'. [437] 
XML validation finished.
Comment 1 Ayub Khan 2006-07-15 03:53:02 UTC
Fix checked in, please verify in todays nightly
Comment 2 Andrei Chistiakov 2006-07-19 13:32:40 UTC
Verified in build 060718_1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo